couldn't upgrade to hardy from dapper

Bug #212672 reported by spotter on 2008-04-06
2
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Undecided
Timo Aaltonen

Bug Description

Binary package hint: xorg

when I try to upgrade from dapper to hardy a number of problems with X

already known xserver-xorg issue

but even w/ that, aptitude failed in upgrade due to overwriting files issue

dpkg: error processing /var/cache/apt/archives/x11-common_1%3a7.3+10ubuntu7_i386.deb (--unpack):
 trying to overwrite `/etc/X11/rgb.txt', which is also in package xrgb

was able to get around that by hand, but would cause automated upgrades to fail.

Related branches

Timo Aaltonen (tjaalton) wrote :

The error is that x11-common Replaces xrgb (<= 1.0.0-0ubuntu2), but the package in Dapper has a greater version due to an epoch. This is fixed in git and will be uploaded soon.

Changed in xorg:
milestone: none → ubuntu-8.04
status: New → Fix Committed
assignee: nobody → tjaalton
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg - 1:7.3+10ubuntu9

---------------
xorg (1:7.3+10ubuntu9) hardy; urgency=low

  * control: Add an epoch to the "x11-common Replaces xrgb" version.
    (LP: #212672)
  * dexconf, failsafeDexconf: Revert back to using "mouse" by default, and
    use vmmouse_detect to determine if the system is a virtual machine and
    if yes, use vmmouse and set the device path. (LP: #216667, #216276)
  * control: xserver-xorg needs to Depend on mdetect instead of Recommends.

 -- Timo Aaltonen <email address hidden> Mon, 14 Apr 2008 16:35:12 +0300

Changed in xorg:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers